classification
Title: Windows Buildbot 2.7 is broken
Type: Stage: resolved
Components: Tests, Windows Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: haypo, inada.naoki, jkloth, paul.moore, serhiy.storchaka, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: buildbot

Created on 2017-02-15 16:54 by haypo, last changed 2017-05-15 08:47 by haypo. This issue is now closed.

Messages (9)
msg287863 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-02-15 16:54
Example of failure:
http://buildbot.python.org/all/builders/AMD64%20Windows8%202.7/builds/67/steps/test/logs/stdio

FAIL: test_incrementaldecoder (test.test_codecencodings_iso2022.Test_ISO2022_KR)
=> failure with newline, maybe caused by the migration to GitHub: see issue #29530

ERROR: test_bug_1727780 (test.test_random.WichmannHill_TestBasicOps)
ImportError: No module named random
=> ... no idea, can it be related to the commit 0f48ecddfb79ef541500ecfcbda0b4178af1cc29 which only changes a comment!?
msg293620 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-05-13 17:19
test_bug_1727780 failure looks related to newlines conversion.
msg293629 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-05-14 02:57
Oh I forgot to cmose this old issue. It was fixed in the meanwhile.

@Serhiy: if you saw a bug recently, please open a new issue.
msg293634 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-05-14 05:16
It doesn't look fixed. I found this issue because I got a report about buildbot failure from buildbot@python.org yesterday.

http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%202.7/builds/81/steps/test/logs/stdio

test_random is failed when read *.pck files. They are marked as binary in .gitattributes, but this is not enough. Seems the attribute "binary" only means that text diff is not used. For disabling newlines translations "eol=lf" should be used.
msg293658 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-05-14 18:53
Jeremy, have you recreated your checkouts since .gitattributes was committed?
msg293662 - (view) Author: Jeremy Kloth (jkloth) * Date: 2017-05-15 00:21
All builders have been reset and pass, with the exception of the VS9 one which is a different problem.
msg293666 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-05-15 03:46
Thank you Jeremy, we'll call this one closed now.  We should open a new issue about the VS9.0 builder failure, which as you say is entirely unrelated.
msg293671 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-05-15 04:33
Thank you Jeremy.
msg293688 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-05-15 08:47
Yeah, thank you Jeremy!
History
Date User Action Args
2017-05-15 08:47:25hayposetmessages: + msg293688
2017-05-15 04:33:43serhiy.storchakasetmessages: + msg293671
2017-05-15 03:46:50zach.waresetstatus: open -> closed
resolution: fixed
messages: + msg293666

stage: resolved
2017-05-15 00:21:52jklothsetmessages: + msg293662
2017-05-14 18:53:35zach.waresetnosy: + jkloth
messages: + msg293658
2017-05-14 05:16:09serhiy.storchakasetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg293634

stage: resolved -> (no value)
2017-05-14 02:57:06hayposetstatus: open -> closed
resolution: fixed
messages: + msg293629

stage: resolved
2017-05-13 17:19:40serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg293620
2017-02-15 16:54:36haypocreate